## GstSystemClock

GstSystemClock — Default clock that uses the current system time

## Synopsis

    struct      GstSystemClock;
    #define     GST_TYPE_SYSTEM_CLOCK
    GstClock*   gst_system_clock_obtain         (void);

## Description

The System clock is an implementation of GstClock using the system time.

## Details

### struct GstSystemClock

    struct GstSystemClock {

      GstClock 	 clock;

      GMutex *	 mutex;
      GCond *	 cond;

      gpointer _gst_reserved[GST_PADDING];
    };

### GST_TYPE_SYSTEM_CLOCK

    #define GST_TYPE_SYSTEM_CLOCK 			(gst_system_clock_get_type ())

### gst_system_clock_obtain ()

    GstClock*   gst_system_clock_obtain         (void);

Get a handle to the default system clock.

Returns : | the default clock.

## See Also

GstClock